Bug 1578922 - [6.2.z] Enabling a repository needs to fail on pulp error
Summary: [6.2.z] Enabling a repository needs to fail on pulp error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.2.14
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1335898
Blocks: 1271300
TreeView+ depends on / blocked
 
Reported: 2018-05-16 15:41 UTC by Mike McCune
Modified: 2021-06-10 16:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1335898
Environment:
Last Closed: 2018-11-26 19:32:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15824 0 None None None 2018-05-16 15:41:12 UTC

Description Mike McCune 2018-05-16 15:41:13 UTC
This is for 6.2.z only, already fixed in 6.3+. We want to backport this if we do another 6.2.z release.

+++ This bug was initially created as a clone of Bug #1335898 +++

Description of problem:

A repository can be enabled even if there is an error in pulp.


Version-Release number of selected component (if applicable):


How reproducible:
%100


Steps to Reproduce:
1. Turn off a repo in pulp
2. Try to enable this repo

-or-

1. Don't install ostree
2. Try to enable an ostree repo

Actual results:

you should see a pulp error in /var/log/messages but the repo will be available in the Products page.

Expected results:

The repo is not able to be enabled and an appropriate message is returned to the user when enabling it errors in pulp.

Additional info:

This is related to how we handle the task in dynflow. We should be enabling the repo in pulp first before we add it to the the database.

--- Additional comment from RHEL Product and Program Management on 2016-06-03 13:27:02 EDT ---

Since this issue was entered in Red Hat Bugzilla, the pm_ack has been
set to + automatically for the next planned release

--- Additional comment from Brad Buckingham on 2016-07-24 12:21:36 EDT ---

Created redmine issue http://projects.theforeman.org/issues/15824 from this bug

--- Additional comment from Bryan Kearney on 2016-08-02 10:15:31 EDT ---

Moving to POST since upstream bug http://projects.theforeman.org/issues/15824 has been closed

--- Additional comment from Bryan Kearney on 2016-10-03 12:28:28 EDT ---

I am moving all bugs which have been addressed in either katello 3.2 or foreman 13.0 and 13.1 to ON_QA. These bugs have been delivered in the first 3 snaps.

--- Additional comment from Bryan Kearney on 2016-10-03 12:53:14 EDT ---

Moving all bugs which are fixed in Katello 3.2 to ON_QA for 6.3. These were delivered in the initial snaps of 6.3.

--- Additional comment from Peter Ondrejka on 2016-11-29 08:18 EST ---

Verified using the ostree method in Satellite 6.3 snap 6, if ostree does not exist the repository is not enabled and the task is stopped.

--- Additional comment from John Mitsch on 2016-12-19 16:56:14 EST ---



--- Additional comment from Subhash Mane on 2017-08-04 07:57:35 EDT ---

Hello Team,

Is there any information about a possible ETA for this bug? I received this case today # 01904508 where the customer is facing a similar issue.

Subhash Mane.
Red Hat Technical Support.

--- Additional comment from Brad Buckingham on 2017-08-04 09:01:05 EDT ---

Hello Subhash, 

Based upon comment 7, it appears that this bugzilla has been verified for inclusion in the Satellite 6.3 release.

--- Additional comment from pm-sat on 2018-02-21 11:51:07 EST ---

Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Comment 2 Bryan Kearney 2018-11-26 19:32:10 UTC
Satellite 6.2 has reached maintenance support phase 2 [1]. This bug does not quality for inclusion in a 6.2.z release during this support phase. I am therefore closing this bug out.

[1] https://access.redhat.com/support/policy/updates/satellite


Note You need to log in before you can comment on or make changes to this bug.